package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"startoptions", "scheduleoptions", "endoptions"}
)
@XmlRootElement(
   name = "SCHEDULEINFO"
)
public class SCHEDULEINFO {
   @XmlAttribute(
      name = "SCHEDULETYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String scheduletype;
   @XmlElement(
      name = "STARTOPTIONS"
   )
   protected STARTOPTIONS startoptions;
   @XmlElement(
      name = "SCHEDULEOPTIONS"
   )
   protected SCHEDULEOPTIONS scheduleoptions;
   @XmlElement(
      name = "ENDOPTIONS"
   )
   protected ENDOPTIONS endoptions;

   public String getSCHEDULETYPE() {
      return this.scheduletype;
   }

   public void setSCHEDULETYPE(String value) {
      this.scheduletype = value;
   }

   public STARTOPTIONS getSTARTOPTIONS() {
      return this.startoptions;
   }

   public void setSTARTOPTIONS(STARTOPTIONS value) {
      this.startoptions = value;
   }

   public SCHEDULEOPTIONS getSCHEDULEOPTIONS() {
      return this.scheduleoptions;
   }

   public void setSCHEDULEOPTIONS(SCHEDULEOPTIONS value) {
      this.scheduleoptions = value;
   }

   public ENDOPTIONS getENDOPTIONS() {
      return this.endoptions;
   }

   public void setENDOPTIONS(ENDOPTIONS value) {
      this.endoptions = value;
   }
}
